summaryrefslogtreecommitdiffstats
path: root/multimedia/pocketsphinx
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/pocketsphinx')
-rw-r--r--multimedia/pocketsphinx/README3
-rw-r--r--multimedia/pocketsphinx/changelog26
-rw-r--r--multimedia/pocketsphinx/pocketsphinx.SlackBuild119
-rw-r--r--multimedia/pocketsphinx/pocketsphinx.info10
-rw-r--r--multimedia/pocketsphinx/slack-desc19
5 files changed, 177 insertions, 0 deletions
diff --git a/multimedia/pocketsphinx/README b/multimedia/pocketsphinx/README
new file mode 100644
index 0000000000..7ea1e815a7
--- /dev/null
+++ b/multimedia/pocketsphinx/README
@@ -0,0 +1,3 @@
+pocketsphinx is a lightweight speech recognition engine
+tuned for handheld and mobile devices and also for
+desktop.
diff --git a/multimedia/pocketsphinx/changelog b/multimedia/pocketsphinx/changelog
new file mode 100644
index 0000000000..16d62a9923
--- /dev/null
+++ b/multimedia/pocketsphinx/changelog
@@ -0,0 +1,26 @@
+Changelog for pocketsphinx SlackBuild Script
+--------------------------------------------------------------------
+
+03/09/2022:
+
+Added to SBo
+
+14/07/2023:
+
+Updated to github commit id 8221706.
+This version joins Opencv4 and lensfun
+in not compiling with FFmpeg. FFmpeg will
+detect pocketsphinx but it will eventually
+run into error during compilation.This
+seems to be FFmpeg upstream problem so
+don't enable pocketsphinx in FFmpeg when
+you try to recompile it.
+
+19/02/2024:
+
+Updated to version 5.0.3
+Removed python plugin.
+one of the reasons why pocketsphinx fails to
+build with FFmpeg is due to intentional API break
+in pocketsphinx. This is an upstream FFmpeg
+problem see https://trac.ffmpeg.org/ticket/10520
diff --git a/multimedia/pocketsphinx/pocketsphinx.SlackBuild b/multimedia/pocketsphinx/pocketsphinx.SlackBuild
new file mode 100644
index 0000000000..226c47e580
--- /dev/null
+++ b/multimedia/pocketsphinx/pocketsphinx.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/bash
+
+# Slackware build script for pocketsphinx
+
+# Copyright 2022-2024 Vijay Marcel
+
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pocketsphinx
+VERSION=${VERSION:-5.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-march=i586 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-march=x86-64 -mtune=generic -pipe -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake -B build -S $TMP/$PRGNAM-$VERSION \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_BINDIR=/usr/bin \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc \
+ -DCMAKE_INSTALL_INCLUDEDIR=/usr/include \
+ -DCMAKE_INSTALL_LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DBUILD_SHARED_LIBS:BOOL=ON \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DFIXED_POINT:BOOL=ON \
+ -DBUILD_GSTREAMER:BOOL=ON
+
+cmake --build build
+DESTDIR=$PKG cmake --install build
+
+cp $PKG/usr/include/pocketsphinx.h $PKG/usr/include/pocketsphinx
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -pv $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS NEWS LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/pocketsphinx/pocketsphinx.info b/multimedia/pocketsphinx/pocketsphinx.info
new file mode 100644
index 0000000000..e4e61bf272
--- /dev/null
+++ b/multimedia/pocketsphinx/pocketsphinx.info
@@ -0,0 +1,10 @@
+PRGNAM="pocketsphinx"
+VERSION="5.0.3"
+HOMEPAGE="https://github.com/cmusphinx/pocketsphinx"
+DOWNLOAD="https://github.com/cmusphinx/pocketsphinx/archive/v5.0.3/pocketsphinx-5.0.3.tar.gz"
+MD5SUM="92e68dfc07ac2e6d82b4f29be89502c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="portaudio"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/multimedia/pocketsphinx/slack-desc b/multimedia/pocketsphinx/slack-desc
new file mode 100644
index 0000000000..114150a5cc
--- /dev/null
+++ b/multimedia/pocketsphinx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pocketsphinx: pocketsphinx (Lightweight Speech Recognition Engine )
+pocketsphinx:
+pocketsphinx: pocketsphinx is a lightweight speech recognition engine
+pocketsphinx: tuned for handheld and mobile devices and also for
+pocketsphinx: desktop
+pocketsphinx:
+pocketsphinx: Homepage: https://github.com/cmusphinx/pocketsphinx
+pocketsphinx:
+pocketsphinx:
+pocketsphinx:
+pocketsphinx: